IKEv1 विरुद्ध IKEv2 पूर्व-साझा की सह: प्रमाणीकरणात काय वेगळे आहे
दोन्ही आवृत्त्या की न पाठवता तिचे ज्ञान सिद्ध करतात, पण वेगवेगळ्या हॅशमध्ये वेगवेगळे इनपुट देतात। दोन्ही ट्रेसची तुलना करा।
एकाच पूर्व-साझा की ने संरचित दोन गेटवे हँडशेक पूर्ण करतात, आणि पॅकेट रेकॉर्ड तारेच्या पलीकडे जाणारे कोणतेही रहस्य दाखवत नाही। हाच तो भाग आहे जो लोकांना आठवतो। मनोरंजक भाग असा आहे की प्रत्येक आवृत्ती रहस्य ज्ञात असल्याचा पुरावा देण्यासाठी प्रत्यक्षात काय गणना करते, कारण IKEv1 आणि IKEv2 तो पुरावा वेगळ्या इनपुटपासून बनवतात आणि तसे करताना वेगळी माहिती उघड करतात। दोन्ही ट्रेस शेजारी शेजारी वाचा आणि फरक दिखाऊ राहणे थांबतो।
पुराव्याने काय साध्य करायचे आहे
Diffie-Hellman दोन्ही बाजूंना एक समाईक मूल्य देतो ज्याचे सार्वजनिक अर्धे भाग पाहणारा कोणीही गणना करू शकतो। ते स्वतःच ओळखीबद्दल काहीही सिद्ध करत नाही: कीची देवघेव पूर्ण करणाऱ्या हल्लेखोराकडे तुमच्या गेटवेइतकेच समाईक मूल्य असते। प्रमाणीकरणाची पायरी ती देवघेव अशा रहस्याशी बांधण्यासाठी आहे जे फक्त इच्छित बाजूंकडे आहे, आणि त्या ओळखी व मापदंडांशीही ज्यांवर त्या सहमत झाल्या।
हेच बंधन म्हणून हॅश कीपेक्षा जास्त झाकतो। तो फक्त रहस्य झाकत असता तर हल्लेखोर तो वेगळ्या ओळखी किंवा प्रस्तावांसह दुसऱ्या देवघेवीत पुन्हा चालवू शकला असता।
IKEv1 Main Mode: SKEYID काढा, मग सिद्ध करा
Main Mode सहा संदेश चालवतो। पहिली जोडी सुरक्षा संलग्नकावर बोलणी करते, दुसरी Diffie-Hellman ची सार्वजनिक मूल्ये आणि nonce यांची देवघेव करते, आणि तिसरी नुकत्याच प्रस्थापित एन्क्रिप्शनखाली ओळखी व प्रमाणीकरण हॅश घेऊन जाते। RFC 2409 रचना ठरवतो: पूर्व-साझा की प्रमाणीकरणात SKEYID रहस्य आणि दोन्ही nonce मधून काढला जातो, आणि पुढील की सामग्री SKEYID, Diffie-Hellman चे समाईक मूल्य, कुकीज आणि स्थिरांकांमधून।
पाचव्या आणि सहाव्या संदेशातील हॅश Diffie-Hellman मूल्य, दोन कुकीज, प्रस्ताव आणि पाठवणाऱ्याची ओळख यांवर SKEYID की म्हणून वापरून मोजला जातो। प्राप्तकर्ता तो आपल्या संरचित रहस्याने पुन्हा मोजतो। विसंगती देवघेव संपवते, आणि रहस्य स्वतः कधीही पेलोड नसते।
Aggressive Mode तेच काम तीन संदेशांत आवळते, म्हणजे ओळखी आणि प्रमाणीकरण हॅश एन्क्रिप्टेड चॅनेल तयार होण्यापूर्वीच प्रवास करतात। हे अंदाज करण्याजोग्या रहस्यासाठी खरी जोखीम आहे, आणि रहस्य पाठवले गेले की नाही या प्रश्नापासून वेगळे आहे। IKEv1 RFC 9395 ने अप्रचलित केले आहे, म्हणून जुना ट्रेस निदानात्मक सराव आहे, तैनातीचे लक्ष्य नाही।
IKEv2: वेगळी व्युत्पत्ती आणि वेगळा AUTH पेलोड
IKEv2 IKEv1 चे की वेळापत्रक पुन्हा वापरत नाही। सुरुवातीच्या IKE की nonce आणि Diffie-Hellman च्या समाईक मूल्यापासून बनलेल्या बीजापासून येतात, आणि संतती सुरक्षा संलग्नके त्यातून व्युत्पन्न होतात। पूर्व-साझा की बीजाला अजिबात पोषण देत नाही।
मग प्रमाणीकरण AUTH पेलोड म्हणून दिसते। सामायिक की प्रमाणीकरणासाठी RFC 7296 रहस्याचे भरलेले स्वरूप ठरवतो, जे रहस्य स्थिर स्ट्रिंगने हॅश करून मिळते Key Pad for IKEv2, आणि मग स्वाक्षरी केलेला देवघेव डेटा व ओळख त्या भरलेल्या की ने हॅश केली जाते। पडताळणीकर्ता तेच मूल्य पुन्हा बनवू शकतो; पाहणारा रहस्याशिवाय बनवू शकत नाही।
काय बदलले ते पाहा। IKEv1 मध्ये रहस्य प्रमाणीकरण हॅश अस्तित्वात येण्यापूर्वीच की वेळापत्रकात मिसळले जाते; IKEv2 मध्ये की वेळापत्रक रहस्यापासून स्वतंत्र आहे आणि पुरावा स्वाक्षरी केलेल्या ऑक्टेटशी बांधलेला वेगळा पेलोड आहे। तीच संकल्पनात्मक हमी, वेगळी यंत्रणा, आणि म्हणूनच मापदंडांची नावे व रेकॉर्ड एकास एक जुळत नाहीत।
पाहणारा प्रत्यक्षात काय शिकतो
Diffie-Hellman ची सार्वजनिक मूल्ये, प्रस्ताव, nonce आणि कुकीज दोन्ही आवृत्त्यांत दिसतात। ओळखी IKEv1 Aggressive Mode मध्ये दिसतात आणि इतर बाबतींत संरक्षित राहतात। रहस्य कधीही दिसत नाही।
त्या शेवटच्या वाक्याला सांगण्यासारखी एक मर्यादा आहे। कमकुवत, माणसाने निवडलेल्या रहस्यावर अंदाजाने हल्ला करता येतो: हल्लेखोर एखाद्या उमेदवार रहस्यासाठी प्रमाणीकरण मूल्य काय असेल याची गणना करतो आणि तुलना करतो। IKEv1 Aggressive Mode हे सर्वात स्वस्त करतो कारण पुरावा उघडा असतो, आणि मानके सर्वसाधारणपणे कमी एन्ट्रॉपीच्या रहस्यांविषयी इशारा देतात। रहस्य कधीही न पाठवणे वाईट रहस्य सुरक्षित करण्यासारखे नाही।
या तुलनेचे काय करावे
प्रत्येक बाजू-जोडीसाठी एक अद्वितीय रहस्य वापरा, ते यादृच्छिक स्रोतापासून तयार करा, आणि ज्या पुरवठा मार्गाने ते वितरित केले त्याच मार्गाने बदला। रहस्य अशा संरचना टेम्पलेटमध्ये असल्यास जे प्रत्येक शाखेला पाठवले जाते, तर एका ठिकाणचा भंग म्हणजे सर्वत्र भंग।
जिथे कार्यरत खर्च स्वीकारार्ह आहे तिथे प्रमाणपत्र-आधारित प्रमाणीकरणाला प्राधान्य द्या, कारण ते सामायिक रहस्याच्या अंदाजाची समस्या दूर करते आणि प्रत्येक बाजूला वेगळी ओळख देते। जिथे पूर्व-साझा की राहते, तिथे ती लांब ठेवा, व्याप्ती संकुचित ठेवा, आणि IKE आवृत्ती ही आंतर-कार्यक्षमतेची तपशील नव्हे तर सुरक्षा निर्णय माना।